Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.opensymphony.xwork2.validator
Interface FieldValidator

All Superinterfaces:
  Validator

All Known Implementing Classes:
  AbstractRangeValidator, ConditionalVisitorFieldValidator, ConversionErrorFieldValidator, DateRangeFieldValidator, DoubleRangeFieldValidator, EmailValidator, FieldExpressionValidator, FieldValidatorSupport, IntRangeFieldValidator, LongRangeFieldValidator, RegexFieldValidator, RepopulateConversionErrorFieldValidatorSupport, RequiredFieldValidator, RequiredStringValidator, ShortRangeFieldValidator, StringLengthFieldValidator, URLValidator, VisitorFieldValidator

    public interface FieldValidator

extends Validator

The FieldValidator interface defines the methods to be implemented by FieldValidators. Which are used by the XWork validation framework to validate Action properties before executing the Action.

Method Summary
`java.lang.String` | `getFieldName()` Gets the field name to be validated
`void` | `setFieldName(java.lang.String fieldName)` Sets the field name to validate with this FieldValidator

Methods inherited from interface com.opensymphony.xwork2.validator.Validator
`getDefaultMessage, getMessage, getMessageKey, getMessageParameters, getValidatorContext, getValidatorType, setDefaultMessage, setMessageKey, setMessageParameters, setValidatorContext, setValidatorType, setValueStack, validate`

Method Detail

### setFieldName

    void setFieldName(java.lang.String fieldName)

  Sets the field name to validate with this FieldValidator

  Parameters:
    `fieldName` - the field name

### getFieldName

    java.lang.String getFieldName()

  Gets the field name to be validated

  Returns:
    the field name

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2011 Apache Software Foundation. All Rights Reserved.